/* $Id: nikkel.h 15 2023-02-26 12:45:03Z nishi $ */
#ifndef __NIKKEL_NIKKEL_H__
#define __NIKKEL_NIKKEL_H__

#include <nikkel/config.h>

#define NIKKEL_VERSION "1.40"
#define NIKKEL_REVDATE "$Date: 2023-02-26 21:45:03 +0900 (Sun, 26 Feb 2023) $"

typedef enum _nikkel_status {
	NIKKEL_SUCCESS = 0,
	NIKKEL_CONFIG_NOTF,
	NIKKEL_CONFIG_PATH_UNSET,
	NIKKEL_CONFIG_CSSPATH_UNSET,
} NIKKEL_STATUS;

char* nikkel_entry(struct nikkel_config* config, const char* path);
const char* nikkel_status_string(char status);

static const char* nikkel_status_str[] = {
	"Success",
	"Config Not Found",
	"Path to Wiki Pages not set",
	"Path to Wiki CSS not set"
};

#endif
