/* $Id: util.h 14 2023-02-26 10:37:39Z nishi $ */
#ifndef __NIKKEL_UTIL_H__
#define __NIKKEL_UTIL_H__

#include <stddef.h>
#include <stdbool.h>

char* sstrdup(const char* str);
char* sstrcat(const char* str1, const char* str2);
char* sstrcat3(const char* str1, const char* str2, const char* str3);
char* sstrcat4(const char* str1, const char* str2, const char* str3, const char* str4);
size_t sstrlen(const char* str);
void sstrcpy(char* dest, const char* src);
char* sreplace(const char* target, char from, char to);
bool sstartswith(const char* target, const char* starts_with);
size_t sindexof(const char* target, const char* find);
char* nikkel_date(void);

#endif
